Debian Bug report logs - #670527
libdebian-installer4: missing support for LaCie NASes (Kirkwood)

version graph

Package: libdebian-installer4; Maintainer for libdebian-installer4 is Debian Install System Team <debian-boot@lists.debian.org>; Source for libdebian-installer4 is src:libdebian-installer.

Reported by: Simon Guinot <simon@sequanux.org>

Date: Thu, 26 Apr 2012 12:27:13 UTC

Severity: normal

Tags: d-i, patch

Found in version libdebian-installer/0.80

Fixed in version libdebian-installer/0.81

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, simon@sequanux.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#670527; Package libdebian-installer4. (Thu, 26 Apr 2012 12:27:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Guinot <simon@sequanux.org>:
New Bug report received and forwarded. Copy sent to simon@sequanux.org, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 26 Apr 2012 12:27:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Guinot <simon@sequanux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdebian-installer4: missing support for LaCie NASes (Kirkwood)
Date: Thu, 26 Apr 2012 12:04:09 +0000
[Message part 1 (text/plain, inline)]
Package: libdebian-installer4
Version: 0.80
Severity: normal
Tags: d-i patch

Dear Maintainer,

Support for LaCie Kirkwood machines is missing from map_hardware. This
prevents from using Debian installer with the LaCie NASes (based on
Kirkwood SoC).

During the installation process, I can see the following error message:
"No installable kernel was found in the defined APT sources"

Please, consider applying the attached patch.

Regards,

Simon

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-00010-g0a7ba17 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages libdebian-installer4 depends on:
ii  libc6  2.13-27

libdebian-installer4 recommends no packages.

libdebian-installer4 suggests no packages.

-- no debconf information
[add-support-for-LaCie-machines.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#670527; Package libdebian-installer4. (Thu, 03 May 2012 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 03 May 2012 10:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 670527@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Simon Guinot <simon@sequanux.org>, 670527@bugs.debian.org
Subject: Re: Bug#670527: libdebian-installer4: missing support for LaCie NASes (Kirkwood)
Date: Thu, 3 May 2012 11:30:31 +0100
* Simon Guinot <simon@sequanux.org> [2012-04-26 12:04]:
> Support for LaCie Kirkwood machines is missing from map_hardware. This
> prevents from using Debian installer with the LaCie NASes (based on
> Kirkwood SoC).

Applied, thank you!

-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Fri, 01 Jun 2012 17:06:11 GMT) Full text and rfc822 format available.

Notification sent to Simon Guinot <simon@sequanux.org>:
Bug acknowledged by developer. (Fri, 01 Jun 2012 17:06:11 GMT) Full text and rfc822 format available.

Message #15 received at 670527-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 670527-close@bugs.debian.org
Subject: Bug#670527: fixed in libdebian-installer 0.81
Date: Fri, 01 Jun 2012 17:04:13 +0000
Source: libdebian-installer
Source-Version: 0.81

We believe that the bug you reported is fixed in the latest version of
libdebian-installer, which is due to be installed in the Debian FTP archive:

libdebian-installer-extra4-udeb_0.81_amd64.udeb
  to main/libd/libdebian-installer/libdebian-installer-extra4-udeb_0.81_amd64.udeb
libdebian-installer-extra4_0.81_amd64.deb
  to main/libd/libdebian-installer/libdebian-installer-extra4_0.81_amd64.deb
libdebian-installer4-dev_0.81_amd64.deb
  to main/libd/libdebian-installer/libdebian-installer4-dev_0.81_amd64.deb
libdebian-installer4-udeb_0.81_amd64.udeb
  to main/libd/libdebian-installer/libdebian-installer4-udeb_0.81_amd64.udeb
libdebian-installer4_0.81_amd64.deb
  to main/libd/libdebian-installer/libdebian-installer4_0.81_amd64.deb
libdebian-installer_0.81.dsc
  to main/libd/libdebian-installer/libdebian-installer_0.81.dsc
libdebian-installer_0.81.tar.gz
  to main/libd/libdebian-installer/libdebian-installer_0.81.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated libdebian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Jun 2012 18:50:51 +0200
Source: libdebian-installer
Binary: libdebian-installer4 libdebian-installer4-dev libdebian-installer4-udeb libdebian-installer-extra4 libdebian-installer-extra4-udeb
Architecture: source amd64
Version: 0.81
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 libdebian-installer-extra4 - Library of some extra debian-installer functions
 libdebian-installer-extra4-udeb - Library of some extra debian-installer functions (udeb)
 libdebian-installer4 - Library of common debian-installer functions
 libdebian-installer4-dev - Library of common debian-installer functions
 libdebian-installer4-udeb - Library of common debian-installer functions (udeb)
Closes: 670527 674060
Changes: 
 libdebian-installer (0.81) unstable; urgency=low
 .
   [ Simon Guinot ]
   * Add LaCie NAS devices (Kirkwood)  Closes: #670527
 .
   [ Julien Cristau ]
   * parser_rfc822: mmap returns MAP_FAILED on error, not NULL.
 .
   [ Bastian Blank ]
   * Support PGP signed files in RFC822 parser. (closes: #674060)
Checksums-Sha1: 
 e61fafb44cc7888f1d2ceae1a1ba68436499fff0 1417 libdebian-installer_0.81.dsc
 6dad2698ce464f39f70d0e6928c2dfd86f9fa539 364278 libdebian-installer_0.81.tar.gz
 4f596e3418850ff7fb996542bf2f2da8bcf30f12 32922 libdebian-installer4_0.81_amd64.deb
 51c232fb17edf05509c559b6ffc1cc452fcb66fb 168526 libdebian-installer4-dev_0.81_amd64.deb
 8ae4e02cf8b30e29059fb27ff61ac8d2cf6cbc42 18462 libdebian-installer4-udeb_0.81_amd64.udeb
 64f8e7c940cd7d8d8963fd7411048b1be357788b 14420 libdebian-installer-extra4_0.81_amd64.deb
 c12a42d6b27eea3d790e1b6081362a994047e706 3676 libdebian-installer-extra4-udeb_0.81_amd64.udeb
Checksums-Sha256: 
 f79ba692329ed126396e305d2a4fdfd9cff3c8baaa5c322d9b642b871a1c58e8 1417 libdebian-installer_0.81.dsc
 c680d5afa1a15855ea3f7146fbd5fa71058215537f37e38f3fe38161ccc2b273 364278 libdebian-installer_0.81.tar.gz
 2e192ac5b130d9dadff0cb83424603928ea7181c4e3bcc67cb63c9680956cf3c 32922 libdebian-installer4_0.81_amd64.deb
 8be8b2917b15ca3ca018a5600251a0f708e0e61ea963e38a3eda582a7e07894b 168526 libdebian-installer4-dev_0.81_amd64.deb
 a119846055f2850ed99dc64c79f71c200a2f1d1b4ed39be225d57c3f47d3fc7c 18462 libdebian-installer4-udeb_0.81_amd64.udeb
 ee6e338c0d14f363c92ca94a43fbd430a50e306ce45d427c580e1fbc33b2aecf 14420 libdebian-installer-extra4_0.81_amd64.deb
 08d56b0fa7aace76e6436ed6035528662bff8e0c74a3c639d53c8978c977f3c0 3676 libdebian-installer-extra4-udeb_0.81_amd64.udeb
Files: 
 df33a370baf9069f84f5e2b0dde72238 1417 libs optional libdebian-installer_0.81.dsc
 fa2830445607832c71a3240f6794d850 364278 libs optional libdebian-installer_0.81.tar.gz
 02fa3b20dc5645172b39a6442bc09313 32922 libs optional libdebian-installer4_0.81_amd64.deb
 cc0651e23062edbfa91ff85bd88502d3 168526 libdevel optional libdebian-installer4-dev_0.81_amd64.deb
 c023ede317bc385aa2de2e313f55ece7 18462 debian-installer optional libdebian-installer4-udeb_0.81_amd64.udeb
 cff76781079bdcbafb091cf661c8f857 14420 libs optional libdebian-installer-extra4_0.81_amd64.deb
 65b2037813d505aff2fb63579f23987b 3676 debian-installer optional libdebian-installer-extra4-udeb_0.81_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/I8+MACgkQLkAIIn9ODhFY3QCfSh2COpcgM4U9FeNrHSFirbUE
XAUAnRHgRKmHoTO56cb1lE2edKbv6eTo
=V22S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jul 2012 07:40:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:31:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.